### Signal

# WebKit FaviconDatabase::favicon-changed

unstable since: 6.0

#### Declaration

    void
    favicon_changed (
      WebKitFaviconDatabase* self,
      gchar* page_uri,
      gchar* favicon_uri,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the favicon URI of `page_uri` has been changed to `favicon_uri` in the database. You can connect to this signal and call `webkit_favicon_database_get_favicon()` to get the favicon. If you are interested in the favicon of a `WebKitWebView` it’s easier to use the `WebKitWebView:favicon` property. See `webkit_web_view_get_favicon()` for more details.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 6.0

#### Parameters

`page_uri`

  Type: `gchar*`

  The URI of the Web page containing the icon.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`favicon_uri`

  Type: `gchar*`

  The URI of the favicon.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.